const coverageStatuses = Object.freeze({
    /**
     * We have not yet attempted claim registration
     */
    PENDING: 0,

    /**
     * We have attempted claim registration, and we got a failure response
     */
    NO_COVERAGE: 1,

    /**
     * We have attempted claim registration, and we got a success response
     */
    VERIFIED: 2,

    mapToApi: (status) => {
        switch (status) {
            case coverageStatuses.PENDING: return 'Pending';
            case coverageStatuses.NO_COVERAGE: return 'NoCoverage';
            case coverageStatuses.VERIFIED: return 'Verified';
            default: return null;
        }
    }
});

export default coverageStatuses;
